Skip to navigation

List customer API keys

Lists this customer’s API keys, newest first and paginated, revoked and expired ones included. The secret is never returned; keyPrefix and last4 identify each key. Use the value returned as customer.id, for example cus_abc123; if you have your own customer ID, use the /api/v2/customers/external/{externalId}/… twin.

Authentication

AuthorizationBearer
API Key authentication using Bearer token

Path parameters

idstringRequiredformat: "^cus_.+"
Paid customer display id

Query parameters

limitintegerOptional1-100Defaults to 10
offsetintegerOptional>=0

Response

200
datalist of objects
paginationobject

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error